-- Added columns to CONTENT_CONSTRAINT.
Alter table CONTENT_CONSTRAINT
ADD (DP_ID NUMBER(18),
    ATTACH_TYPE VARCHAR(20) DEFAULT 'Dataflow' Not Null,
	SET_ID VARCHAR(255),
	SIMPLE_DATA_SOURCE NVARCHAR2(1024))
;

ALTER TABLE CONTENT_CONSTRAINT ADD CONSTRAINT FK_CC_ATTACH_TYPE
	FOREIGN KEY (ATTACH_TYPE) REFERENCES ATTACH_TYPES(ATTACH_TYPE)
;

ALTER TABLE CONTENT_CONSTRAINT ADD CONSTRAINT FK_CCA_DATAPROVIDER
	FOREIGN KEY (DP_ID) REFERENCES DATAPROVIDER(DP_ID)
;

